OnDiskIndex.DataBlock (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.DataBlock

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskBlock<OnDiskIndex.DataTerm>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.DataBlock

- Enclosing class:
    OnDiskIndex

      protected class OnDiskIndex.DataBlock
      extends OnDiskBlock<OnDiskIndex.DataTerm>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.index.sasi.disk.OnDiskBlock

      `OnDiskBlock.BlockType, OnDiskBlock.SearchResult<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.index.sasi.disk.OnDiskBlock

      `blockIndex, blockIndexSize, combinedIndex, hasCombinedIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataBlock(MappedBuffer data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OnDiskIndex.DataTerm` | `cast(MappedBuffer data)`
    `RangeIterator<java.lang.Long,Token>` | `getRange(int start, int end)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.disk.OnDiskBlock

      `getBlockIndex, getTerm, getTermPosition, maxOffset, minOffset, search, termCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataBlock

          public DataBlock(MappedBuffer data)

  - ### Method Detail

    - #### cast

          protected OnDiskIndex.DataTerm cast(MappedBuffer data)

      Specified by:
        `cast` in class `OnDiskBlock<OnDiskIndex.DataTerm>`

    - #### getRange

          public RangeIterator<java.lang.Long,Token> getRange(int start,
                                                              int end)

Copyright © 2018 The Apache Software Foundation